Nabd Messaging
  1. Send Message (Telegram)
Nabd Messaging
  • Getting Started
  • Send Message (WhatsApp)
    • Send plain text (WhatsApp)
      POST
  • Send Message (Telegram)
    • Send plain text (Telegram, by username)
      POST
    • Send plain text (Telegram, by user ID)
      POST
  • Send with Template
    • Send with template (WhatsApp)
      POST
    • Send with template (Telegram)
      POST
  • Send with Media
    • Send image or document (WhatsApp)
      POST
    • Send image or document (Telegram)
      POST
  • Managing Apps
  1. Send Message (Telegram)

Send plain text (Telegram, by username)

POST
/api/create-message

Send a plain text Telegram message (using username)#

Endpoint: POST /api/create-message
Channel: telegram

Request body#

ParameterTypeRequiredDescription
authkeystringYesUser auth key
appkeystringYesApp key (app must be linked to a Telegram account)
channelstringYesMust be "telegram"
tostringYesTelegram username (e.g. @username), user ID, or phone. Max 50 chars
messagestringYes*Message text, max 1000 characters. *Required if template_id is not sent

Example success response (200)#

{
  "message_status": "Success",
  "data": {
    "from": "@your_bot",
    "to": "@username",
    "status_code": 200
  }
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/create-message' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
  "authkey": "{{authkey}}",
  "appkey": "{{appkey}}",
  "channel": "telegram",
  "to": "@username",
  "message": "Hello from API via Telegram"
}'
Response Response Example
{}
Modified at 2026-03-03 23:38:15
Previous
Send Message (Telegram)
Next
Send plain text (Telegram, by user ID)
Built with